package com.bonus.canteen.core.supermarket.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalTime;

@ApiModel(
   value = "超市营业配置表",
   description = "超市营业配置表"
)
public class SupermarketConfigPageVO {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("一周id")
   private Long weekId;
   @ApiModelProperty("超市id")
   private Long supermarketId;
   @ApiModelProperty("一周名称")
   private String weekName;
   @ApiModelProperty("一周类型 1:周一 2:周二 3:周三 4:周四 5:周五 6:周六 7:周日")
   private Integer weekType;
   @ApiModelProperty("营业开始时间")
   private LocalTime openingTime;
   @ApiModelProperty("营业结束时间")
   private LocalTime closingTime;
   @ApiModelProperty("是否营业 (1营业, 2休息)")
   private Integer ifBusiness;
   @ApiModelProperty("是否预定取货日(1是，2否)")
   private Integer ifReserveFetch;

   public Long getId() {
      return this.id;
   }

   public Long getWeekId() {
      return this.weekId;
   }

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public String getWeekName() {
      return this.weekName;
   }

   public Integer getWeekType() {
      return this.weekType;
   }

   public LocalTime getOpeningTime() {
      return this.openingTime;
   }

   public LocalTime getClosingTime() {
      return this.closingTime;
   }

   public Integer getIfBusiness() {
      return this.ifBusiness;
   }

   public Integer getIfReserveFetch() {
      return this.ifReserveFetch;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setWeekId(final Long weekId) {
      this.weekId = weekId;
   }

   public void setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
   }

   public void setWeekName(final String weekName) {
      this.weekName = weekName;
   }

   public void setWeekType(final Integer weekType) {
      this.weekType = weekType;
   }

   public void setOpeningTime(final LocalTime openingTime) {
      this.openingTime = openingTime;
   }

   public void setClosingTime(final LocalTime closingTime) {
      this.closingTime = closingTime;
   }

   public void setIfBusiness(final Integer ifBusiness) {
      this.ifBusiness = ifBusiness;
   }

   public void setIfReserveFetch(final Integer ifReserveFetch) {
      this.ifReserveFetch = ifReserveFetch;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "SupermarketConfigPageVO(id=" + var10000 + ", weekId=" + this.getWeekId() + ", supermarketId=" + this.getSupermarketId() + ", weekName=" + this.getWeekName() + ", weekType=" + this.getWeekType() + ", openingTime=" + String.valueOf(this.getOpeningTime()) + ", closingTime=" + String.valueOf(this.getClosingTime()) + ", ifBusiness=" + this.getIfBusiness() + ", ifReserveFetch=" + this.getIfReserveFetch() + ")";
   }
}
